"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/* eslint-disable unicorn/no-array-for-each */
const core_1 = require("@oclif/core");
const anypoint_cli_command_1 = require("anypoint-cli-command");
const flags_1 = require("anypoint-cli-command/lib/core/flags");
class List extends anypoint_cli_command_1.AuthenticationBaseCommand {
    async run() {
        await this.businessGroupList();
    }
    async businessGroupList() {
        const user = await this.req.get(anypoint_cli_command_1.uris.userMe);
        const orgs = user.data.memberOfOrganizations;
        const tableHeader = ['Name', 'Type', 'Id'];
        const tableData = [];
        tableData.push(tableHeader);
        orgs.forEach((org) => {
            tableData.push([org.name, org.isRoot ? 'Root' : 'Business unit', org.id]);
        });
        await this.show(tableData, orgs);
    }
}
exports.default = List;
List.description = 'Lists business groups';
List.flags = {
    ...anypoint_cli_command_1.AuthenticationBaseCommand.flags,
    help: core_1.Flags.help({ char: 'h' }),
    ...flags_1.OutputFlag,
};
