"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const anypoint_cli_command_1 = require("anypoint-cli-command");
const flags_1 = require("anypoint-cli-command/lib/core/flags");
class Describe extends anypoint_cli_command_1.AuthenticationBaseCommand {
    async run() {
        const { args } = await this.parse(Describe);
        await this.environmentDescribe(args.name);
    }
    async environmentDescribe(name) {
        const env = name === '' ? await anypoint_cli_command_1.utils.getDefaultEnvironment() : await anypoint_cli_command_1.utils.getEnvironmentByName(name);
        const tableData = [];
        tableData.push(['Id', env.id], ['Name', env.name], ['Organization Id', env.organizationId], ['Production', env.isProduction ? 'Y' : 'N'], ['Type', env.type], ['Client Id', env.clientId]);
        await this.show(tableData, env);
    }
}
exports.default = Describe;
Describe.args = [
    {
        name: 'name',
        default: '',
    },
];
Describe.description = 'Show details of an environment. If "name" is omitted, defaults to the current session\'s environment.';
Describe.flags = {
    ...anypoint_cli_command_1.AuthenticationBaseCommand.flags,
    help: core_1.Flags.help({ char: 'h' }),
    ...flags_1.OutputFlag,
};
