"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/* eslint-disable unicorn/no-array-for-each */
const core_1 = require("@oclif/core");
const anypoint_cli_command_1 = require("anypoint-cli-command");
const flags_1 = require("anypoint-cli-command/lib/core/flags");
class List extends anypoint_cli_command_1.AuthenticationBaseCommand {
    async run() {
        await this.environmentList();
    }
    async environmentList() {
        const res = await this.req.get(anypoint_cli_command_1.uris.environments(this.session.selectedOrganization.id));
        const envs = res.data.data;
        const tableHeader = ['Name', 'Id', 'Sandbox'];
        const tableData = [];
        tableData.push(tableHeader);
        envs.forEach((env) => {
            tableData.push([env.name, env.id, env.isProduction ? 'N' : 'Y']);
        });
        await this.show(tableData, envs);
    }
}
exports.default = List;
List.description = 'Lists environments';
List.flags = {
    ...anypoint_cli_command_1.AuthenticationBaseCommand.flags,
    help: core_1.Flags.help({ char: 'h' }),
    ...flags_1.OutputFlag,
};
