"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/* eslint-disable unicorn/no-array-push-push */
const core_1 = require("@oclif/core");
const anypoint_cli_command_1 = require("anypoint-cli-command");
const flags_1 = require("anypoint-cli-command/lib/core/flags");
class Describe extends anypoint_cli_command_1.AuthenticationBaseCommand {
    async run() {
        await this.userDescribe();
    }
    async userDescribe() {
        const account = await this.req.get(anypoint_cli_command_1.uris.userMe);
        const user = account.data;
        const tableData = [];
        tableData.push(['Id', user.id]);
        tableData.push(['User name', user.username]);
        tableData.push(['Full name', `${user.firstName} ${user.lastName}`]);
        tableData.push(['Email', user.email]);
        tableData.push(['Created', user.createdAt.toString().split('T')[0]]);
        await this.show(tableData, user);
    }
}
exports.default = Describe;
Describe.description = 'Show account details';
Describe.flags = {
    ...anypoint_cli_command_1.AuthenticationBaseCommand.flags,
    help: core_1.Flags.help({ char: 'h' }),
    ...flags_1.OutputFlag,
};
